<?php
include "koneksi.php";
if (!isset($_SESSION["UserID"])) {
	header("location:login.php?p=3");
}
$q="SELECT * FROM user WHERE id='". $_SESSION["UserID"] ."'";
						$res=mysqli_query($conn,$q);
						$dataUser=mysqli_fetch_assoc($res);
					
						$nik = $dataUser["nik_data_karyawan"];

?>
<!DOCTYPE html>
<link rel="stylesheet" type="text/css" href="style.css">
<link rel="icon" type="image/png" href="images/mhb.jpeg">
<html>

	<head>
		<title> PT. MULTI HIDRACHROME BALIKPAPAN </title>
		<?php
		include "part/menu2.php";
		?>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<?php
		include "part/jss.php";
		?>

	</head>

	<body>

		<div style="width:1280px; height:220px" class="container" >

			
				<div class="alert alert-info" style='background-color:#F8F8FF' href="#">
				<div style="display: block; margin-left: auto; margin-right: auto; width: 1000px;  height:100px;"><img style="width: 1000px;  height:180px;" src="images/hd.jpg"></div>
				<div>
					<center>
						<h1>PT. MULTI HIDRACHROM BALIKPAPAN</h1>
					</center>
				</div>
				<div>
					<center>
						<h4 >PROFESIONAL INFORMATION SYSTEM</h4>
					</center>
				</div>
			</div>

				<?php
				
				
				//pengecekkan untuk penggabungan
				$s="SELECT * FROM data_gabungan_pr WHERE id='1'";
                $res=mysqli_query($conn,$s);
                $dataUser=mysqli_fetch_assoc($res);
                $gabungandb = $dataUser["gabungan"];
				$gabung = 1;
				$hasil;
				if ($gabung = 1)
				{
					$hasil = $gabungandb + 1;
					echo "ini==".$hasil;
				}
				?>
                

				<div class="alert alert-info" align='center' >
					<h3>DAFTAR PR DIPROSES ALL LIST</h3>
					<h5>menampilkan seluruh list pr yang telah diproses dan mendapatkan suplier / harga</h5>
					<h5>tekan SELESAI jika hanya barang sudah sampai ke user</h5>
					<?php
					if (isset($_GET["p"])) 
					{
						$p = $_GET["p"];
						if ($p == "1") 
						{
						?>
						<div class="alert alert-success">
							PR CLOSE
						</div>
						<?php
						} 
						else if ($p == "3") 
						{
						?>
							<div class="alert alert-danger">
								PR GAGAL!
							</div>
						<?php
						}
					}
					?>
					<?php
					$z = 1;
					?>
					<table class="table table-bordered">
						<thead>
							<tr>
							    <th>
									NO 
								</th>
								<th>
									NIK
								</th>
								<th>
									PR NO
								</th>
								<th>
									DESCRIPTION
								</th>
								<th>
									PR DATE
								</th>
								<th>
									SUPLIER / VENDOR
								</th>
								<th>
									DUE DATE USER
								</th>
								<th>
									STATUS PR
								</th>
								<th>
									GABUNG
								</th>
								<th>
									
								</th>
							</tr>
						</thead>
						<tbody>
							<?php
							$status = '1';
							$q = "SELECT * FROM data_purchasing_requisition WHERE status_spv = '2' AND status_hcga = '2' AND status_direktur = '2' AND status_proses = '1'";
							$res = mysqli_query($conn, $q);
							while ($row = mysqli_fetch_assoc($res)) {
							?>
								<tr>
									<td>
									     <?php
									         echo $z;
									         $z = $z + 1;
											 //echo $row["id"];
									     ?>
								    </td>
									<td>
										<?php
										echo $row["user_request"];
										?>
									</td>
									<td>
										<?php
										echo $row["pr_no"];
										?>
									</td>
									<td>
										<?php
										echo $row["description"];
										?>
									</td>
									<td>
										<?php
										echo $row["pr_date"];
										?>
									</td>
									<td>
										<?php
										$id_suplier = $row['id_suplier'];
                                        $s = "SELECT * FROM data_suplier WHERE id=" .$row['id_suplier'];
                                        $resi = mysqli_query($conn,$s);
                                        $rowi = mysqli_fetch_array($resi);
										echo $rowi['nama_suplier'];
										?>
									</td>
									<td>
										<?php
										echo $row["acc_code"]; //acc code = due date, blm diganti nama saja
										?>
									</td>
										<td>
										<?php
										$row["status_spv"];
										if ($row["status_spv"] == 0)
										{
											echo "Belum disetujui";
										}
										else
										{
											echo "Disetujui";
										}
										?>
									</td>
									<td>
									<form action="<?php echo $_SERVER["PHP_SELF"];?>" method="post">
   <input type="checkbox" name="hobi[]" value="Membaca"><br>
									</td>
										
									  <td>
    
										<a href="detailHistoryPr.php?id=<?php echo $row["id"]; ?>"    type="button" class="btn btn-primary"   >DETAIL</a>
										</td>
									</td>
								</tr>
							<?php
							}
							?>
						</tbody>
					</table>
				</div>
<input style="text-align:center;" type="submit" value="Submit">
  </form>
		<center><h5 class="form-signin">Copyright &copy; <a href="#" data-toggle="modal" data-target="#contact">SatrioPringgondani</a></h5></center>  
	</body>
</html>

<script>
$(document).ready(function()
{
	 $('.table-bordered').DataTable();
});
</script>